<?

   /* Скрипт для загрузки файлов на сервер и запуск основного алгорима.

    * Автор: Матвеева П. А.
    * Дата создания: 11.04.2006
    * Дата последнего изменения: 19.04.2006
    *
    */
    include ( "auth.inc" );
    //идентификато сессии
    $iden=$_SESSION["id"];
       
$ex="./simple";
$in="files";

//попытка загрузить файл во временную директорию и проверка его объема

   if($_FILES["filename"]["size"]>1024*1024) 
   
   { echo ("Размер файла превышает 1МБ"); }

 else {

//расширения файлов и имя каталога

$string=".in";
$string2=".out";
$string4=" files/";

//копирование файла из временной папки в свой домашний каталог

   if(copy($_FILES["filename"]["tmp_name"], 
     "files/".$iden.$string)) 
   {  
     //удаление файла из временной папки

     unlink($_FILES["filename"]["tmp_name"]);

     $str=$ex.$string4.$iden.$string.$string4.$iden.$string2;
     
  //запуск основного алгоритма

  exec($str);

   } 
   else { 
   // если не удалось загрузить файл, выдаем пользователю сообщение об ошибке
   echo "<br>";
     echo("<br><b>&nbsp Ошибка загрузки файла</b>"); 
     exit;
    echo "<a href=test.php?func=2>Назад</a>";
   } 
}

//запуск алгоритма меры разности

$ex="./mera";
$in="files";

$string=".in";
$string2=".out";
$string4=" files/";

  $str=$ex.$string4.$iden.$string.$string4.$iden.$string2;     
  exec($str);


echo "<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='0; URL=test.php?func=1'></HEAD></HTML>"; die;
?>

